SND_UNREGISTER_DEVIC(9)

NAME
snd_unregister_device - unregister the device on the given card

SYNOPSIS

int snd_unregister_device(int type, struct snd_card * card, int dev);

ARGUMENTS

type
    the device type, SNDRV_DEVICE_TYPE_XXX

card
    the card instance

dev
    the device index

DESCRIPTION

Unregisters the device file already registered via snd_register_device.

RETURN

Zero if successful, or a negative error code on failure.

COPYRIGHT